<?php

namespace EIS\Component\EIS\Administrator\View\Main;

\defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView as BaseHtmlView;
use EIS\Component\EIS\Administrator\Helper\TreeHelper;

class HtmlView extends BaseHtmlView
{
    public function display($tpl = null): void
    {
        // Baumdaten laden und fürs Template bereitstellen
        $items = TreeHelper::getItems();
        $this->treeHtml = TreeHelper::renderTree($items);

        parent::display($tpl);
    }
}
